Skip to main content
`Ctrl`+`K`

# DMPlexCreateSphereMesh

Creates a mesh on the d-dimensional sphere, S^d.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateSphereMesh(MPI_Comm comm, PetscInt dim, PetscBool simplex, PetscReal R, DM *dm)

Collective

## Input Parameters

- comm - The communicator for the `DM` object

- dim - The dimension

- simplex - Use simplices, or tensor product cells

- R - The radius

## Output Parameter

- dm - The `DM` object

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateBallMesh()`, `DMPlexCreateBoxMesh()`, `DMSetType()`, `DMCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexcreate.c

## Implementations

DMPlexCreateSphereMesh_Internal() in src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages